const enum Specialization {
    arms = "arms",
    fury = "fury",
    protection = "protection",
    holy = "holy",
    retribution = "retribution",
    beastmastery = "beastmastery",
    marksmanship = "marksmanship",
    survival = "survival",
    assassination = "assassination",
    combat = "combat",
    subtlety = "subtlety",
    discipline = "discipline",
    shadow = "shadow",
    blooddps = "blooddps",
    bloodtank = "bloodtank",
    frostdps = "frostdps",
    frosttank = "frosttank",
    unholydps = "unholydps",
    unholytank = "unholytank",
    elemental = "elemental",
    enhancement = "enhancement",
    restoration = "restoration",
    arcane = "arcane",
    fire = "fire",
    frost = "frost",
    affliction = "affliction",
    demonology = "demonology",
    destruction = "destruction",
    balance = "balance",
    feraldps = "feraldps",
    feraltank = "feraltank",
}